\definecolor{codegreen}{rgb}{0,0.6,0}
\definecolor{codegray}{rgb}{0.5,0.5,0.5}
\definecolor{codepurple}{rgb}{0.58,0,0.82}
\definecolor{backcolour}{rgb}{0.95, 0.95, 0.96}

\lstset{
backgroundcolor=\color{backcolour},  
 commentstyle=\color{codegreen},
keywordstyle=\color{magenta},
numberstyle=\tiny\color{codegray},
stringstyle=\color{codepurple},
basicstyle=\ttfamily\footnotesize,
breakatwhitespace=false,  
 breaklines=true,  
 captionpos=b,  
 keepspaces=true,  
 numbers=left,  
 numbersep=5pt,  
 showspaces=false,  
 showstringspaces=false,
showtabs=false,  
 tabsize=2,
morestring=\*[d]{"}
}

\lstset{
emph=[1]{var, String, int, List, void, Future, await, if, else, throw, async, true, false},
emphstyle=[1]{\color{codepurple}},
emph=[2]{findAllElements,findElements, setState, send, fromPath, add, parse, bytesToString},
emphstyle=[2]{\color{magenta}}
}
