\addtocounter{page}{1}

\begin{abstract}
Die Integration von Flutter's plattformübergreifenden
UI-Fähigkeiten mit der Anpassungsfähigkeit von Embedded
Linux verspricht die Rationalisierung der Entwicklung
von Benutzeroberflächen (UIs) für eingebettete Systeme.
Diese Arbeit untersucht die Eignung von Flutter in
diesem Kontext durch eine Fallstudie: die Entwicklung
eines Flutter App Prototyps auf einem Raspberry
Pi mit einer angepassten eingebetteten Linux Distribution.
Leistungsmesswerte, Benutzerfreundlichkeit und der
Entwicklungsprozess werden bewertet. Die Ergebnisse
zeigen, dass Flutter, wenn es angepasst wird,
erfolgreich zur Erstellung von attraktiven und benutzerfreundlichen
eingebetteten Schnittstellen mit wenigen Kompromissen
bei der Leistung genutzt werden kann.

Die Arbeit beschäftigt sich im Wesentlichen mit der Entwicklung einer
prototypischen Anwendung mit Flutter für ein eingebettetes Linux System.
Dabei wurde ein Konzept ausgearbeitet werden, dass zeigt wie Flutter in
eingebetteten Linux Systemen genutzt werden kann und es wurde anhand der
prototypischen Anwendung untersucht, wie gut Flutter für diesen
Verwendungszweck geeignet ist. Die Ergebnisse der Untersuchung
zeigen ein großes Potential für die Nutzung von Flutter in eingebetteten
Linux Systemen.
\end{abstract}
